<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:20 CST 2018 -->
<title>D-Index</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="D-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="../projectx/engine/EngineGL.html#data_protocol">data_protocol</a></span> - Variable in class projectx.engine.<a href="../projectx/engine/EngineGL.html" title="class in projectx.engine">EngineGL</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/game/client/DataProtocol.html" title="class in projectx.game.client"><span class="typeNameLink">DataProtocol</span></a> - Class in <a href="../projectx/game/client/package-summary.html">projectx.game.client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/client/DataProtocol.html#DataProtocol-projectx.engine.Handler-">DataProtocol(Handler)</a></span> - Constructor for class projectx.game.client.<a href="../projectx/game/client/DataProtocol.html" title="class in projectx.game.client">DataProtocol</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/debug/Debug.html" title="class in projectx.engine.debug"><span class="typeNameLink">Debug</span></a> - Class in <a href="../projectx/engine/debug/package-summary.html">projectx.engine.debug</a></dt>
<dd>
<div class="block">This class is created for debugging purposes.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/debug/Debug.html#Debug-boolean-">Debug(boolean)</a></span> - Constructor for class projectx.engine.debug.<a href="../projectx/engine/debug/Debug.html" title="class in projectx.engine.debug">Debug</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/debug/Debug.html#DEBUGMODE">DEBUGMODE</a></span> - Variable in class projectx.engine.debug.<a href="../projectx/engine/debug/Debug.html" title="class in projectx.engine.debug">Debug</a></dt>
<dd>
<div class="block">This method displays a message in the log based on the parameter msg.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/input/Input.html#DEBUGMODE">DEBUGMODE</a></span> - Static variable in class projectx.engine.input.<a href="../projectx/engine/input/Input.html" title="class in projectx.engine.input">Input</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/Entity.html#DEBUGMODE">DEBUGMODE</a></span> - Static variable in class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/items/Item.html#DEBUGMODE">DEBUGMODE</a></span> - Static variable in class projectx.engine.managers.items.<a href="../projectx/engine/managers/items/Item.html" title="class in projectx.engine.managers.items">Item</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/locators/Locator.html#DEBUGMODE">DEBUGMODE</a></span> - Static variable in class projectx.engine.managers.locators.<a href="../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/tile/Tile.html#DEBUGMODE">DEBUGMODE</a></span> - Static variable in class projectx.engine.tile.<a href="../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#DEBUGMODE_render-projectx.engine.glgfx.Graphics-">DEBUGMODE_render(Graphics)</a></span> - Method in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>
<div class="block">This method is responsible for rendering DEBUGMODE related rendering</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#deepwater">deepwater</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/tile/Tile.html#deepWaterTile">deepWaterTile</a></span> - Static variable in class projectx.engine.tile.<a href="../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#DEFAULT_CREATURE_HEIGHT">DEFAULT_CREATURE_HEIGHT</a></span> - Static variable in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#DEFAULT_CREATURE_WIDTH">DEFAULT_CREATURE_WIDTH</a></span> - Static variable in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/Entity.html#DEFAULT_HEALTH">DEFAULT_HEALTH</a></span> - Static variable in class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#DEFAULT_SPEED">DEFAULT_SPEED</a></span> - Static variable in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#destroy--">destroy()</a></span> - Method in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>
<div class="block">This method is used for when a player is killed.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/Entity.html#destroy--">destroy()</a></span> - Method in class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/nonmoving/Nonmoving.html#destroy--">destroy()</a></span> - Method in class projectx.engine.managers.entities.nonmoving.<a href="../projectx/engine/managers/entities/nonmoving/Nonmoving.html" title="class in projectx.engine.managers.entities.nonmoving">Nonmoving</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/objects/Objects.html#destroy--">destroy()</a></span> - Method in class projectx.engine.managers.entities.objects.<a href="../projectx/engine/managers/entities/objects/Objects.html" title="class in projectx.engine.managers.entities.objects">Objects</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#dirt">dirt</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/tile/Tile.html#dirtTile">dirtTile</a></span> - Static variable in class projectx.engine.tile.<a href="../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/terminal/procs/global/disconnect.html" title="class in projectx.engine.terminal.procs.global"><span class="typeNameLink">disconnect</span></a> - Class in <a href="../projectx/engine/terminal/procs/global/package-summary.html">projectx.engine.terminal.procs.global</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/procs/global/disconnect.html#disconnect--">disconnect()</a></span> - Constructor for class projectx.engine.terminal.procs.global.<a href="../projectx/engine/terminal/procs/global/disconnect.html" title="class in projectx.engine.terminal.procs.global">disconnect</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/display/Display.html" title="class in projectx.engine.display"><span class="typeNameLink">Display</span></a> - Class in <a href="../projectx/engine/display/package-summary.html">projectx.engine.display</a></dt>
<dd>
<div class="block">Display is the window class</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/display/Display.html#Display-java.lang.String-int-int-">Display(String, int, int)</a></span> - Constructor for class projectx.engine.display.<a href="../projectx/engine/display/Display.html" title="class in projectx.engine.display">Display</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#door_closed">door_closed</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#door_opened">door_opened</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Convert.html#DOUBLE_LENGTH">DOUBLE_LENGTH</a></span> - Static variable in class projectx.engine.utils.<a href="../projectx/engine/utils/Convert.html" title="class in projectx.engine.utils">Convert</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Convert.html#doubleToByteArray-double-">doubleToByteArray(double)</a></span> - Static method in class projectx.engine.utils.<a href="../projectx/engine/utils/Convert.html" title="class in projectx.engine.utils">Convert</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/glgfx/Graphics.html#drawImage-org.newdawn.slick.opengl.Texture-int-int-int-int-">drawImage(Texture, int, int, int, int)</a></span> - Method in class projectx.engine.glgfx.<a href="../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a></dt>
<dd>
<div class="block">Fills the specified rectangle with the given texture.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/glgfx/Graphics.html#drawLine-int-int-int-int-">drawLine(int, int, int, int)</a></span> - Method in class projectx.engine.glgfx.<a href="../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a></dt>
<dd>
<div class="block">Draws a line, using the current color, between the points (x1, y1) and (x2, y2) in this graphics context's coordinate system.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/glgfx/Graphics.html#drawRect-int-int-int-int-">drawRect(int, int, int, int)</a></span> - Method in class projectx.engine.glgfx.<a href="../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a></dt>
<dd>
<div class="block">Draws the outline of the specified rectangle.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/glgfx/Graphics.html#drawString-java.lang.String-float-float-">drawString(String, float, float)</a></span> - Method in class projectx.engine.glgfx.<a href="../projectx/engine/glgfx/Graphics.html" title="class in projectx.engine.glgfx">Graphics</a></dt>
<dd>
<div class="block">This method takes in a string and an x and y coordinates then draws that string to the screen.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/glgfx/Text.html#drawString-projectx.engine.glgfx.Graphics-java.lang.String-int-int-boolean-org.lwjgl.util.ReadableColor-java.awt.Font-">drawString(Graphics, String, int, int, boolean, ReadableColor, Font)</a></span> - Static method in class projectx.engine.glgfx.<a href="../projectx/engine/glgfx/Text.html" title="class in projectx.engine.glgfx">Text</a></dt>
<dd>
<div class="block">This method draws the text to the screen and chooses whether to center it of not and which font to use.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#dumbbell">dumbbell</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
